#include <stdio.h>
#include <stdlib.h>
int funk(int xy1){
    int br=0;
    while(xy1!=0){
        br++;
        xy1=xy1/10;
    }
    return br;
}
int main(){
    fflush(stdin);
    long long int x,y,dx,dy,nb[100],r,r1,a,b,d,br1=1,rez=0;
    scanf("%i %i", &x, &y);
    dx=funk(x);
    dy=funk(y);
    if(dx>dy){
        r=(dx-dy)-1;
        r1=r;
        for(int i=0; i<dx-dy; i++){
            a=dy+r;
            b=pow(10,a);
            nb[i]=x/b;
            x=x%b;
            r--;
        }
    }
    else if(dy>dx){
        r=(dy-dx)-1;
        r1=r;
        for(int i=0; i<dy-dx; i++){
            a=dx+r;
            b=pow(10,a);
            nb[i]=y/b;
            y=y%b;
            r--;
        }
    }
    if(dy==dx){
        r1=-1;
    }
    d=funk(x);
    if(x==0){
        d=funk(y);
    }
    for(int i=0; i<d; i++){
        a=d-i-1;
        b=pow(10,a);
        if(x/b>y/b){
            nb[r1+br1]=x/b;
        }
        else if(x/b<y/b){
            nb[r1+br1]=y/b;
        }
        else{
            nb[r1+br1]=x/b;
            br1++;
            nb[r1+br1]=y/b;
        }
        x=x%b;
        y=y%b;
        br1++;
    }
    for(int i=0; i<r1+br1; i++){
        a=r1+br1-i-1;
        b=pow(10,a);
        rez=rez+(nb[i]*b);
    }
    printf("%i", rez);
    return 0;
}